This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 738023 - f15 cannot boot if dvd unit is issuing weird errors (probabbly broken dvd unit)
f15 cannot boot if dvd unit is issuing weird errors (probabbly broken dvd unit)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
15
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-13 12:15 EDT by Reartes Guillermo
Modified: 2011-10-14 12:10 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-14 12:10:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
picture of the dvd-unit final state (286.67 KB, image/jpeg)
2011-10-13 20:09 EDT, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2011-09-13 12:15:08 EDT
CONTEXT: Recently, my dvd unit broke, the tray cannot be opened, a clip must be used but after that, the system must be power-cycled. 

Description of problem: 
I booted whit that problem (and no power cycle) and then the dvd unit worsened, flooding the log with i/o error (ok, it is empty and broken).

The problem is that:
* nothing depends on it, so the boot process must continue and the error/retry/whatever should continue in the "background".

I was forced to open the case and hot-remove the dvd unit's sata data cable, then systemd (or dracut) let the boot process continue.

If it is not systemd's issue please reassign (dracut/udisks/kernel?).

The dvd unit is broken, but the boot process must continue.
Thanks in advance.

Version-Release number of selected component (if applicable):

kernel   2.6.40.4-5.fc15.x86_64
systemd  26-9.fc15
dracut   009-12.fc15

How reproducible:
-

Steps to Reproduce:
1. bad luck, dvd unit goes wild.
2. cannot boot unless the dvd unit is either powered off or disconected

  
Actual results:
cannot boot if the dvd unit breaks and is keept attached to the system.

Expected results:
to be able to boot, sice it is not a hard disk and no filesystem is expected to be able to be accesed by default on it (that may block the boot process)

Additional info:
I know that a hw problem may iclude weirdness, but i think it still must boot in that specific case. (unless the sata controller itself gets confused). What could happen if such weirness happens to a hard disk witch is part of a mirror and it could not boot even if the other disk is ok? (very-very unlikely but...).

Sep 13 12:01:26 xxxx kernel: [   14.077650] end_request: I/O error, dev sr0, sector 0
Sep 13 12:01:26 xxxx kernel: [   14.077685] Buffer I/O error on device sr0, logical block 0
Sep 13 12:01:26 xxxx kernel: [   24.149657] sr 3:0:0:0: [sr0] Unhandled sense code
Sep 13 12:01:26 xxxx kernel: [   24.149693] sr 3:0:0:0: [sr0]  Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Sep 13 12:01:26 xxxx kernel: [   24.149743] sr 3:0:0:0: [sr0]  Sense Key : Medium Error [current] 
Sep 13 12:01:26 xxxx kernel: [   24.149790] sr 3:0:0:0: [sr0]  Add. Sense: L-EC uncorrectable error
Sep 13 12:01:26 xxxx kernel: [   24.149839] sr 3:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 00 00 00 00 02 00
Sep 13 12:01:26 xxxx kernel: [   24.149912] end_request: I/O error, dev sr0, sector 0
Sep 13 12:01:26 xxxx kernel: [   24.149947] Buffer I/O error on device sr0, logical block 0
Sep 13 12:01:26 xxxx kernel: [   34.120153] sr 3:0:0:0: [sr0] Unhandled sense code
Sep 13 12:01:26 xxxx kernel: [   34.122556] sr 3:0:0:0: [sr0]  Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Sep 13 12:01:26 xxxx kernel: [   34.124981] sr 3:0:0:0: [sr0]  Sense Key : Medium Error [current] 
Sep 13 12:01:26 xxxx kernel: [   34.127418] sr 3:0:0:0: [sr0]  Add. Sense: L-EC uncorrectable error
Sep 13 12:01:26 xxxx kernel: [   34.129863] sr 3:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 00 00 00 00 02 00
Sep 13 12:01:26 xxxx kernel: [   34.132325] end_request: I/O error, dev sr0, sector 0
Sep 13 12:01:26 xxxx kernel: [   34.134744] Buffer I/O error on device sr0, logical block 0
Sep 13 12:01:26 xxxx kernel: [   44.192274] sr 3:0:0:0: [sr0] Unhandled sense code
Sep 13 12:01:26 xxxx kernel: [   44.194668] sr 3:0:0:0: [sr0]  Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Sep 13 12:01:26 xxxx kernel: [   44.197083] sr 3:0:0:0: [sr0]  Sense Key : Medium Error [current] 
Sep 13 12:01:26 xxxx kernel: [   44.199493] sr 3:0:0:0: [sr0]  Add. Sense: L-EC uncorrectable error
Sep 13 12:01:26 xxxx kernel: [   44.201912] sr 3:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 00 00 00 00 02 00
Sep 13 12:01:26 xxxx kernel: [   44.204349] end_request: I/O error, dev sr0, sector 0
Sep 13 12:01:26 xxxx kernel: [   44.206769] Buffer I/O error on device sr0, logical block 0
Comment 1 Bill Nottingham 2011-09-13 18:30:03 EDT
Where does it hang?
Comment 2 Reartes Guillermo 2011-09-13 18:53:31 EDT
It hangs before login, the error above or similar, pressing ESC and tries again then stop, press ESC again and tries again... and again until i removed the data cable and it contiued booting and then it reaches login.
Comment 3 Bill Nottingham 2011-09-14 09:54:57 EDT
Not sure what's touching it that would hold up boot ... pushing to udev for the moment.
Comment 4 Reartes Guillermo 2011-10-13 20:09:04 EDT
Created attachment 528127 [details]
picture of the dvd-unit final state

The dvd-writer decided to ignite itself, luckily i was there (normally i leave the pc 7x24, as it has proper fans). I heard a "puff", and flames could be seen in a small ventilation window... No crash or disk error (at that point i did not know what was on fire...

The bug should probably be closed.
Note: the dvd-writer was not in use when it happened.
Comment 5 Bill Nottingham 2011-10-14 12:10:47 EDT
OK, closing as the magic smoke has been let out.

Note You need to log in before you can comment on or make changes to this bug.